<?php
//require_once($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/php/lib.php');

$_SIDEBAR['eleve'] = Array(	"accueil"		=> "accueil",
							"plannings"		=> "plannings",
							"examens"		=> "examens",
							"mon-dossier"	=> "mon dossier",
							"documents"		=> "documents",
							"cdi"			=> "cdi",	
							"cv"			=> "cv",
							"offres"		=> "offres"
			);
?>

<div id="sidebar">
<?php

	// nom du répertoire *
	$dir_name = current_dir();

	foreach($_SIDEBAR['eleve'] as $key => $value){

		// vérification du menu actif *
		if($dir_name == $key)	$bg = "bg-red-active";
		else					$bg = "bg-red";
		
		// écriture html *
		echo '
		<a class="'.$bg.'" href="/espace_personnel/eleve/'.$key.'/"><img src="/espace_personnel/images/sidebar-icone-'.$key.'.png" alt="'.$key.'"/>'.strtoupper($value).'</a>
		';
	}
?>
		<a class="bg-red-active" style="display:block;width:180px;padding-left:20px;height:30px;line-height:50px;text-align:left" href="/espace_personnel/deconnexion.php">Se déconnecter</a>
		<a class="bg-red-active overlay-btn" style="display:block;width:180px;padding-left:20px;height:30px;line-height:50px;text-align:left" rel="#overlay-contact">Nous contacter</a>
</div>

<div class="apple_overlay black" id="overlay-contact">
	<div class="details">
		
	<form id="contact">
		<p>
		Vous rencontrez un problème technique, désirez un renseignement ou émettre une suggestion? N'hésitez pas à nous contacter via le formulaire suivant.<br><br>
		Objet de votre message : 
		<select id="contact-subject" name="contact-subject">
			<option value="Problème technique">Problème technique sur l'espace personnel</option>
			<option value="Plateforme Pleiad">Plateforme Pleiad</option>
			<option value="Renseignement sur mes UE">Renseignement sur mes UE</option>
			<option value="Renseignement sur mon inscription">Renseignement sur mon inscription</option>
			<option value="Planification">Plannification</option>
			<option value="Examens">Examens</option>
			<option value="Suggestion">Suggestion</option>
			<option value="Autre">Autre</option>
		</select>
		<br><br>
		<textarea  name="contact-text" style="width:100%" id="contact-text" rows="5" cols="3"></textarea><br><br>
		Votre adresse e-mail : <input type="text" name="contact-mail" id="contact-mail" size="30" value="<?php echo $_SESSION['user']['email_auditeur']?>" style="font-size:11px"/><br><br>	
		Votre demande sera examinée dès que possible par nos services.<br>
		Vous recevrez une réponse directement sur votre boîte e-mail.
		</p>
		<div id="contact-msg" style="color:#c1002a;margin-top:10px;float:left;"></div>

		<input type="submit" value="Envoyer" class="bloc bg-red float-right" style="padding:10px 30px;margin:0;"/>
	 </form>
		

		
	</div>
</div>

<?php
if(isset($page))	$page_title = $page;
else				$page_title = ucfirst($_SIDEBAR['eleve'][$dir_name]);
?>

<div id="main">
	<div style="border-bottom:1px solid #888;width:100%;margin-bottom:20px;margin-right:10px">
	<img src="/espace_personnel/images/logo-cnam.png" style="height:45px;Xwidth:230px;float:right;Xpadding-top:15px;"/>
	<div style="font-size:2em;color:#444;display:inline-block;height:40px;line-height:65px;margin-bottom:15px;"><b><?php echo $page_title; ?></b></div>
</div>


<script>
function contact(){
	$("#contact").submit(function(e){
		e.preventDefault();

		$.ajax({
			cache:		false,
			type:		"GET",
			url:		"/espace_personnel/contact.php",
			data:		$(this).serialize(),
			success:	function(response){
							$("#contact-msg").html("Votre message a été envoyé").delay(1200).queue(function(close_overlay){
								$(".overlay-btn[rel]").overlay().close();
								$("#contact-text").val("");
								$("#contact-msg").html("");
								close_overlay();
							});
						}
		});
	});
}
</script>